Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::ProgressiveMesh::PMFaceVertex Class Reference

A vertex as used by a face. More...

`#include <OgreProgressiveMesh.h>`

List of all members.

## Public Attributes
size_t | realIndex
PMVertex * | commonVertex

## Detailed Description

A vertex as used by a face.

This records the index of the actual vertex which is used by the face, and a pointer to the common vertex used for surface evaluation.

Definition at line 127 of file OgreProgressiveMesh.h.

## Member Data Documentation

PMVertex* Ogre::ProgressiveMesh::PMFaceVertex::commonVertex

| Definition at line 130 of file OgreProgressiveMesh.h.

size_t Ogre::ProgressiveMesh::PMFaceVertex::realIndex

| Definition at line 129 of file OgreProgressiveMesh.h.

The documentation for this class was generated from the following file:

- OgreProgressiveMesh.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:52:24 2007